.\" $NetBSD: wpa_supplicant.8,v 1.4 2005/12/12 22:23:22 wiz Exp $
.\"
.\" Copyright (c) 2005 Sam Leffler <sam@errno.com>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" Based on:
.\" $FreeBSD: /repoman/r/ncvs/src/usr.sbin/wpa/wpa_supplicant/wpa_supplicant.8,v 1.2 2005/06/27 06:40:43 ru Exp $
.\"
.Dd October 1, 2005
.Dt WPA_SUPPLICANT 8
.Os
.Sh NAME
.Nm wpa_supplicant
.Nd WPA/802.11i Supplicant for wireless network devices
.Sh SYNOPSIS
.Nm
.Op Fl BdehLqvw
.Fl i Ar ifname
.Fl c Ar config-file
.Op Fl N i Ar ifname Fl c Ar config-file ...
.Sh DESCRIPTION
The
.Nm
utility
is an implementation of the WPA Supplicant component,
i.e., the part that runs in the client stations.
It implements WPA key negotiation with a WPA Authenticator
and EAP authentication with an Authentication Server.
In addition,
.Nm
controls the roaming and IEEE 802.11
authentication/association support
.\" of the
.\" .Xr wlan 4
.\" module
and can be used to configure static WEP keys
based on identified networks.
.Pp
The
.Nm
utility
is designed to be a
.Dq daemon
program that runs in the
background and acts as the backend component controlling
the wireless connection.
It supports separate frontend programs such as the
text-based
.Xr wpa_cli 8
program.
.Pp
The following arguments must be specified on the command line:
.Bl -tag -width indent
.It Fl i Ar ifname
Use the specified wireless interface.
.It Fl c Ar config-file
Use the settings in the specified configuration file when managing
the wireless interface.
See
.Xr wpa_supplicant.conf 5
for a description of the configuration file syntax and contents.
.Pp
Changes to the configuration file can be reloaded by sending a
.Dv SIGHUP
signal to the
.Nm
process or with the
.Xr wpa_cli 8
utility, using
.Dq Li "wpa_cli reconfigure" .
.El
.Sh OPTIONS
The following options are available:
.Bl -tag -width indent
.It Fl B
Detach from the controlling terminal and run as a daemon process
in the background.
.It Fl d
Enable debugging messages.
If this option is supplied twice, more verbose messages are displayed.
.It Fl e
Use an external IEEE 802.1X Supplicant program and disable the
internal Supplicant.
This option is not normally used.
.It Fl h
Show help text.
.It Fl K
Include key information in debugging output.
.It Fl L
Display the license for this program on the terminal and exit.
.It Fl N i Ar ifname Fl c Ar config-file ...
Specify an additional interface and configuration file.
If multiple interfaces are specified then
.Nm
will manage them all with a single process.
.It Fl q
Decrease debugging verbosity (i.e., counteract the use of the
.Fl d
flag).
.It Fl v
Display version information on the terminal and exit.
.It Fl w
If the specified interface is not present, wait for it to be
added; e.g.\& a cardbus device to be inserted.
.\" This option is not normally used; instead,
.\" .Xr devd 8
.\" should be configured to launch
.\" .Nm
.\" when a device is created.
.El
.Sh SEE ALSO
.Xr ath 4 ,
.Xr ipw 4 ,
.Xr iwi 4 ,
.Xr ral 4 ,
.Xr wi 4 ,
.Xr wpa_supplicant.conf 5 ,
.Xr ifconfig 8 ,
.Xr wpa_cli 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 4.0 .
.Sh AUTHORS
The
.Nm
utility was written by
.An Jouni Malinen Aq jkmaline@cc.hut.fi .
This manual page is derived from the
.Pa README
file included in the
.Nm
distribution.
